<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>Frame DT check test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">Frame DT check test </H1>

        <H2>Test Objectives</H2>
		<UL>
        <li>Exercise the frame commands <b>getFrameData, concatFrameData and getFrameElements commands to obtain the
        dt value from frame adcData:Container </b></li><p>
		<LI>Verify dt value is correct for the time range.</LI>		
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
		<LI><font color='brown'>managerAPI</font>: directs processing of the insertion user commands to other APIs
			and returns the user command status to the user.</LI>
		<LI><font color='brown'>diskcacheAPI</font>: 
			<UL>
			<LI>Retrieves the frame file names required by the frame query in ldas command.</li>
			</UL>
		<LI><font color='brown'>frameAPI</font>: 
			<UL>
			<LI>Retrives the frame data specified</LI>
			</UL>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
        <li>Install the following tests script in a directory on your local machine or the ldas system
		<UL><p>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/dtcheck.tcl?rev=HEAD;content-type=text%2Fplain'>dtcheck.tcl</a></font></li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qalib.tcl?rev=HEAD;content-type=text%2Fplain'>qalib.tcl</a></font>
        - support functions</li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qatest.tcl?rev=HEAD;content-type=text%2Fplain'>qatest.tcl</a></font>
        - support functions</li>
		</UL>
        </li><p>
        <li>S2 data must be mounted on ldas system and known to diskcacheAPI; frame query is done on
        ADC data of channel H0:PEM-LVEA_SEISX.</li>
        </ul>
        <H2>Test Execution</H2>

		<p>cd &lt;your scripts directory&gt;<p>
		
        <B>Usage:</B> <CODE>dtcheck.tcl [options] >& dtcheck.log & </CODE>

        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-s&gt;</CODE>
                <TD>ldas site e.g. dev, llo, cit, ldas-suntest3
        </TABLE><p>e.g.<pre><font color='brown'>
            dtcheck.tcl -s dev >& dtcheck.log &
            </font></pre>
		<p>
		<H2>Test Validation:</H2>
        The duration is computed from the accumulated dt data and sampleRate.
        Example of the AdcData fields used in computation of duration (in <b>bold</b>):
        <pre><font color='brown'>
          &lt;ilwd name=':adcData:Container(AdcData):Frame'&gt;
            &lt;ilwd name='H0\:PEM-LVEA_SEISX::AdcData:730524016:0:Frame' size='14'&gt;
                &lt;lstring name='comment'&gt;&lt;/lstring&gt;
                &lt;int_4u name='channelGroup'&gt;14&lt;/int_4u&gt;
                &lt;int_4u name='channelNumber'&gt;258&lt;/int_4u&gt;
                &lt;int_4u name='nBits'&gt;16&lt;/int_4u&gt;
                &lt;real_4 name='bias'&gt;0.0000000e+00&lt;/real_4&gt;
                &lt;real_4 name='slope'&gt;6.1028000e-05&lt;/real_4&gt;
                &lt;lstring name='units' size='1'&gt;V&lt;/lstring&gt;
                <b>&lt;real_8 name='sampleRate'&gt;2.5600000000000000e+02&lt;/real_8&gt;</b>
                &lt;real_8 name='timeOffset'&gt;0.0000000000000000e+00&lt;/real_8&gt;
                &lt;real_8 name='fShift'&gt;0.0000000000000000e+00&lt;/real_8&gt;
                &lt;real_4 name='phase'&gt;0.0000000e+00&lt;/real_4&gt;
                &lt;int_2u name='dataValid'&gt;0&lt;/int_2u&gt;
                <b>&lt;real_8 name='dt'&gt;4.0000000000000000e+00&lt;/real_8&gt;</b>
                ...
        </pre>

		When test has completed, check the end for all passes. 
        <p>As of ldas 1.2.3 here are the expected results:
        e.g. <pre><font color='brown'>
        dtcheck.tcl:	Total   172     Passed  172     Skipped 0       Failed  0
         </font></pre>

    </BODY>
</HTML>

